package gunav2.keymon.com.mx;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.debug.*;

public class v_tclientes extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    private static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new anywheresoftware.b4a.ShellBA(_ba, this, htSubs, "gunav2.keymon.com.mx.v_tclientes");
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            
        }
        if (BA.isShellModeRuntimeCheck(ba)) 
			   this.getClass().getMethod("_class_globals", gunav2.keymon.com.mx.v_tclientes.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 
    public void  innerInitializeHelper(anywheresoftware.b4a.BA _ba) throws Exception{
        innerInitialize(_ba);
    }
    public Object callSub(String sub, Object sender, Object[] args) throws Exception {
        return BA.SubDelegator.SubNotFound;
    }
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.B4XViewWrapper _root = null;
public anywheresoftware.b4a.objects.B4XViewWrapper.XUI _xui = null;
public anywheresoftware.b4a.objects.LabelWrapper _la_cuenta = null;
public anywheresoftware.b4a.objects.LabelWrapper _la_nombre = null;
public anywheresoftware.b4a.objects.LabelWrapper _la_calle = null;
public anywheresoftware.b4a.objects.LabelWrapper _la_col = null;
public anywheresoftware.b4a.objects.LabelWrapper _l_entre1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l_entre2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _l_atiende = null;
public anywheresoftware.b4a.objects.LabelWrapper _label19 = null;
public b4a.example.dateutils _dateutils = null;
public gunav2.keymon.com.mx.main _main = null;
public gunav2.keymon.com.mx.starter _starter = null;
public gunav2.keymon.com.mx.subs _subs = null;
public gunav2.keymon.com.mx.appupdater _appupdater = null;
public gunav2.keymon.com.mx.tracker _tracker = null;
public gunav2.keymon.com.mx.firebasemessaging _firebasemessaging = null;
public gunav2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public gunav2.keymon.com.mx.newinst2 _newinst2 = null;
public gunav2.keymon.com.mx.b4xpages _b4xpages = null;
public gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public Object  _initialize(gunav2.keymon.com.mx.v_tclientes __ref,anywheresoftware.b4a.BA _ba) throws Exception{
__ref = this;
innerInitialize(_ba);
RDebugUtils.currentModule="v_tclientes";
if (Debug.shouldDelegate(ba, "initialize", false))
	 {return ((Object) Debug.delegate(ba, "initialize", new Object[] {_ba}));}
RDebugUtils.currentLine=73138176;
 //BA.debugLineNum = 73138176;BA.debugLine="Public Sub Initialize As Object";
RDebugUtils.currentLine=73138177;
 //BA.debugLineNum = 73138177;BA.debugLine="Return Me";
if (true) return this;
RDebugUtils.currentLine=73138178;
 //BA.debugLineNum = 73138178;BA.debugLine="End Sub";
return null;
}
public String  _b4xpage_appear(gunav2.keymon.com.mx.v_tclientes __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="v_tclientes";
if (Debug.shouldDelegate(ba, "b4xpage_appear", false))
	 {return ((String) Debug.delegate(ba, "b4xpage_appear", null));}
anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
RDebugUtils.currentLine=73269248;
 //BA.debugLineNum = 73269248;BA.debugLine="Sub B4XPage_Appear";
RDebugUtils.currentLine=73269249;
 //BA.debugLineNum = 73269249;BA.debugLine="Log(\"Entramos\")";
__c.LogImpl("073269249","Entramos",0);
RDebugUtils.currentLine=73269250;
 //BA.debugLineNum = 73269250;BA.debugLine="Dim c As Cursor = Starter.skmt.ExecQuery ($\"selec";
_c = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select * from CAT_CATCLIENTESTODOS where CAT_CL_CODIGO in (Select CUENTA from cuentaa)"))));
RDebugUtils.currentLine=73269251;
 //BA.debugLineNum = 73269251;BA.debugLine="If c.RowCount > 0 Then";
if (_c.getRowCount()>0) { 
RDebugUtils.currentLine=73269252;
 //BA.debugLineNum = 73269252;BA.debugLine="c.Position=0";
_c.setPosition((int) (0));
RDebugUtils.currentLine=73269253;
 //BA.debugLineNum = 73269253;BA.debugLine="Log(c.GetString(\"CAT_CL_NOMBRE\"))";
__c.LogImpl("073269253",_c.GetString("CAT_CL_NOMBRE"),0);
RDebugUtils.currentLine=73269254;
 //BA.debugLineNum = 73269254;BA.debugLine="la_cuenta.Text=c.GetString(\"CAT_CL_CODIGO\")";
__ref._la_cuenta /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_CODIGO")));
RDebugUtils.currentLine=73269255;
 //BA.debugLineNum = 73269255;BA.debugLine="La_nombre.Text=c.GetString(\"CAT_CL_NOMBRE\")";
__ref._la_nombre /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_NOMBRE")));
RDebugUtils.currentLine=73269256;
 //BA.debugLineNum = 73269256;BA.debugLine="la_Calle.Text=c.GetString(\"CAT_CL_CALLE\")";
__ref._la_calle /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_CALLE")));
RDebugUtils.currentLine=73269257;
 //BA.debugLineNum = 73269257;BA.debugLine="la_col.Text=c.GetString(\"CAT_CL_COLONIA\")";
__ref._la_col /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_COLONIA")));
RDebugUtils.currentLine=73269258;
 //BA.debugLineNum = 73269258;BA.debugLine="l_entre1.Text=c.GetString(\"CAT_CL_CALLE1\")";
__ref._l_entre1 /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_CALLE1")));
RDebugUtils.currentLine=73269259;
 //BA.debugLineNum = 73269259;BA.debugLine="l_entre2.Text=c.GetString(\"CAT_CL_CALLE2\")";
__ref._l_entre2 /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_CALLE2")));
RDebugUtils.currentLine=73269260;
 //BA.debugLineNum = 73269260;BA.debugLine="l_atiende.Text=c.GetString(\"CAT_CL_ATIENDE1\")";
__ref._l_atiende /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_ATIENDE1")));
RDebugUtils.currentLine=73269261;
 //BA.debugLineNum = 73269261;BA.debugLine="Label19.Text = c.GetString(\"CAT_CL_TELEFONO\")";
__ref._label19 /*anywheresoftware.b4a.objects.LabelWrapper*/ .setText(BA.ObjectToCharSequence(_c.GetString("CAT_CL_TELEFONO")));
 };
RDebugUtils.currentLine=73269263;
 //BA.debugLineNum = 73269263;BA.debugLine="End Sub";
return "";
}
public String  _b4xpage_created(gunav2.keymon.com.mx.v_tclientes __ref,anywheresoftware.b4a.objects.B4XViewWrapper _root1) throws Exception{
__ref = this;
RDebugUtils.currentModule="v_tclientes";
if (Debug.shouldDelegate(ba, "b4xpage_created", false))
	 {return ((String) Debug.delegate(ba, "b4xpage_created", new Object[] {_root1}));}
RDebugUtils.currentLine=73203712;
 //BA.debugLineNum = 73203712;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
RDebugUtils.currentLine=73203713;
 //BA.debugLineNum = 73203713;BA.debugLine="Root = Root1";
__ref._root /*anywheresoftware.b4a.objects.B4XViewWrapper*/  = _root1;
RDebugUtils.currentLine=73203715;
 //BA.debugLineNum = 73203715;BA.debugLine="Root.LoadLayout(\"Vista_todoslosclientes\")";
__ref._root /*anywheresoftware.b4a.objects.B4XViewWrapper*/ .LoadLayout("Vista_todoslosclientes",ba);
RDebugUtils.currentLine=73203716;
 //BA.debugLineNum = 73203716;BA.debugLine="End Sub";
return "";
}
public String  _class_globals(gunav2.keymon.com.mx.v_tclientes __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="v_tclientes";
RDebugUtils.currentLine=73072640;
 //BA.debugLineNum = 73072640;BA.debugLine="Sub Class_Globals";
RDebugUtils.currentLine=73072641;
 //BA.debugLineNum = 73072641;BA.debugLine="Private Root As B4XView 'ignore";
_root = new anywheresoftware.b4a.objects.B4XViewWrapper();
RDebugUtils.currentLine=73072642;
 //BA.debugLineNum = 73072642;BA.debugLine="Private xui As XUI 'ignore";
_xui = new anywheresoftware.b4a.objects.B4XViewWrapper.XUI();
RDebugUtils.currentLine=73072644;
 //BA.debugLineNum = 73072644;BA.debugLine="Private la_cuenta As Label";
_la_cuenta = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072645;
 //BA.debugLineNum = 73072645;BA.debugLine="Private La_nombre As Label";
_la_nombre = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072646;
 //BA.debugLineNum = 73072646;BA.debugLine="Private la_Calle As Label";
_la_calle = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072647;
 //BA.debugLineNum = 73072647;BA.debugLine="Private la_col As Label";
_la_col = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072648;
 //BA.debugLineNum = 73072648;BA.debugLine="Private l_entre1 As Label";
_l_entre1 = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072649;
 //BA.debugLineNum = 73072649;BA.debugLine="Private l_entre2 As Label";
_l_entre2 = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072650;
 //BA.debugLineNum = 73072650;BA.debugLine="Private l_atiende As Label";
_l_atiende = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072651;
 //BA.debugLineNum = 73072651;BA.debugLine="Private Label19 As Label";
_label19 = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=73072652;
 //BA.debugLineNum = 73072652;BA.debugLine="End Sub";
return "";
}
}